<div class="screen-preview" style={`background-image: url(${thumbnail})`}>
  <div class="screen-footer">
    <div class="screen-foot">
      <div class="share-wrap">
        <div class="share-icon"
             class:clickable="!selectedVideo"
             on:click="share('video', selectedVideo)">
          <ScreenIcon />
        </div>
      </div>
    </div>

    <div class="screen-foot">
      <div class="share-wrap">
        <div class="share-icon"
             class:clickable="!selectedAudio"
             on:click="share('audio', selectedAudio)">
          <MicrophoneIcon />
        </div>
      </div>
    </div>
  </div>
</div>

<script>
  export default {
    components: {
      ScreenIcon: "./icons/ScreenIcon.svelte",
      MicrophoneIcon: "./icons/MicrophoneIcon.svelte"
    },
    methods: {
      share(type, selected) {
        if (!selected) this.fire("share", type);
      }
    }
  };
</script>

<style>
  .screen-preview {
    position: relative;
  }
  
  .screen-footer {
    position: absolute;
    bottom: 0;
    display: flex;
  }

  .screen-foot:last-child .share-icon {
    margin-left: auto;
  }

  .screen-foot:first-child .share-icon {
    margin-right: auto;
  }

  h2 {
    margin: 0;
  }

  .screen-foot {
    flex-grow: 1;
    flex-shrink: 1;
    background: #22222266;
    padding: 0.125em 0.25em 0 0.25em;
  }

  .share-icon {
    height: 21px;
    width: 21px;
  }

  .screen-preview {
    flex-grow: 1;
    flex-shrink: 1;
    height: 75px;

    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;

    display: inline-block;
    margin: 0.25em;
    border-radius: 3px;
  }

  .screen-footer, .screen-preview {
    width: 150px;
  }

  .share-icon.clickable {
    cursor: pointer;
  }
</style>
